import React from 'react';
import { IconGiftMediumOutline } from '@teamleader/ui-icons';
import { Icon } from '../..';
export default {
  component: Icon,
  title: 'Icon'
};

var Wrapper = function Wrapper(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React.createElement("div", {
    style: {
      minHeight: '50px',
      display: 'flex'
    }
  }, children);
};

export var Main = function Main() {
  return /*#__PURE__*/React.createElement("div", null, ['neutral', 'mint', 'violet', 'ruby', 'gold', 'aqua', 'teal'].map(function (color) {
    return /*#__PURE__*/React.createElement(Wrapper, {
      key: color
    }, ['lightest', 'light', 'normal', 'dark', 'darkest'].map(function (tint) {
      return /*#__PURE__*/React.createElement(Icon, {
        key: tint,
        color: color,
        tint: tint
      }, /*#__PURE__*/React.createElement(IconGiftMediumOutline, null));
    }));
  }));
};